Gentoo Archives: gentoo-user

From: Hartmut Figge <h.figge@×××.de>
To: gentoo-user@l.g.o
Subject: [gentoo-user] emerge @preserved-rebuild failure
Date: Sat, 06 Jan 2018 20:21:43
Message-Id: 6eca4cee-04d5-31df-8dab-ec42947e09cb@hfigge.myfqdn.de
Greetings,

Mostly stable Gentoo. After having fun with linguas *g*

!!! existing preserved libs found
i5-64 /home/hafi # emerge -q @preserved-rebuild

emerge: there are no ebuilds to satisfy "dev-lang/ruby:2.1".
(dependency required by "@preserved-rebuild" [argument])

[?] dev-lang/ruby
     Available versions:
     (2.2)  2.2.8 2.2.9
     (2.3)  ~2.3.5 ~2.3.6
     (2.4)  ~2.4.2 ~2.4.3
     (2.5)  ~2.5.0 ~2.5.0-r1

hafi@i5-64 ~ $ eselect profile show
Current /etc/make.profile symlink:
  default/linux/amd64/17.0
hafi@i5-64 ~ $ eselect ruby show
Current Ruby version:
  ruby22
Current Rubygems version:
  gem22

Bug?

Hartmut

Replies

Subject Author
Re: [gentoo-user] emerge @preserved-rebuild failure Neil Bothwick <neil@××××××××××.uk>